---
updatedAt: 2025-11-13T14:39:34.000Z
agentTools:
  siteIndex: https://docs.affirm.com/llms.txt
  projectIndex: https://docs.affirm.com/developers/v1.0-Global-Integration/llms.txt
---

# List Transaction Events

Lists transaction events.

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "info": {
    "title": "Transactions API",
    "version": "2.0"
  },
  "security": [
    {
      "basicAuth": []
    }
  ],
  "paths": {
    "/transactions/events": {
      "get": {
        "tags": [
          "Transactions API"
        ],
        "x-swagger-router-controller": "affirm.http.api.merchant.transaction.v1.api",
        "operationId": "list_transaction_events",
        "summary": "List Transaction Events",
        "description": "Lists transaction events.",
        "parameters": [
          {
            "in": "query",
            "name": "transaction_type",
            "description": "Type of transaction to be listed, list one of `charge` or `lease`.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "charge",
                "lease"
              ]
            }
          },
          {
            "in": "query",
            "name": "transaction_event_type",
            "description": "Type of transaction events to be listed, list one of `authorize`, `capture`, `refund`, `void`, or `all`.",
            "required": true,
            "schema": {
              "type": "string",
              "enum": [
                "authorize",
                "capture",
                "refund",
                "void",
                "all"
              ]
            }
          },
          {
            "in": "query",
            "name": "limit",
            "description": "Max number of transaction events to list per page. Default is 5.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "before_date",
            "description": "End date of query.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "after_date",
            "description": "Start date of query.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "before_ari",
            "description": "Optional end event ARI of query, used during pagination. Mutually exclusive with the 'after_ari' query parameter - i.e. only one of 'after_ari' or 'before_ari' can be specified in one request.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "after_ari",
            "description": "Optional start event ARI of query, used during pagination. Mutually exclusive with the 'before_ari' query parameter - i.e. only one of 'after_ari' or 'before_ari' can be specified in one request.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "query",
            "name": "merchant_id",
            "description": "Optional ARI of merchant issuing the list events request.",
            "schema": {
              "type": "string"
            }
          },
          {
            "in": "header",
            "name": "country-code",
            "description": "Required param to identify the country in which Affirm is used and uses an \"alpha-3\" three-letter country code. Supported countries are the United States (`USA`), Canada (`CAN`), and the United Kingdom (`GBR`).",
            "required": true,
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "HTTP 200 OK",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/ListTransactionEvents"
                }
              }
            }
          },
          "400": {
            "description": "HTTP 400 Bad Request",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorBadRequest"
                }
              }
            }
          },
          "401": {
            "description": "HTTP 401 Unauthorized",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorUnauthorized"
                }
              }
            }
          },
          "404": {
            "description": "HTTP 404 Not Found",
            "content": {
              "*/*": {
                "schema": {
                  "$ref": "#/components/schemas/ErrorNotFound"
                }
              }
            }
          }
        }
      }
    }
  },
  "servers": [
    {
      "url": "https://api.global.sandbox.affirm.com/api/v1"
    },
    {
      "url": "https://api.global.affirm.com/api/v1"
    }
  ],
  "components": {
    "securitySchemes": {
      "basicAuth": {
        "type": "http",
        "scheme": "basic"
      }
    },
    "schemas": {
      "ErrorBadRequest": {
        "properties": {
          "message": {
            "description": "The error message.",
            "example": "Bad Request",
            "type": "string"
          },
          "status_code": {
            "description": "The HTTP status code.",
            "example": 400,
            "type": "integer"
          },
          "type": {
            "description": "The error type.",
            "example": "BAD_REQUEST",
            "type": "string"
          },
          "code": {
            "description": "The error type.",
            "example": "BAD_REQUEST",
            "type": "string"
          },
          "token": {
            "description": "The error response embedded in a JWT token",
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorNotFound": {
        "properties": {
          "message": {
            "description": "The error message.",
            "example": "Not Found",
            "type": "string"
          },
          "status_code": {
            "description": "The HTTP status code.",
            "example": 404,
            "type": "integer"
          },
          "type": {
            "description": "The error type.",
            "example": "NOT_FOUND",
            "type": "string"
          },
          "code": {
            "description": "The error type.",
            "example": "NOT_FOUND",
            "type": "string"
          },
          "token": {
            "description": "The error response embedded in a JWT token",
            "type": "string"
          }
        },
        "type": "object"
      },
      "ErrorUnauthorized": {
        "properties": {
          "message": {
            "description": "The error message.",
            "example": "Unauthorized",
            "type": "string"
          },
          "status_code": {
            "description": "The HTTP status code.",
            "example": 401,
            "type": "integer"
          },
          "type": {
            "description": "The error type.",
            "example": "UNAUTHORIZED",
            "type": "string"
          },
          "code": {
            "description": "The error type.",
            "example": "UNAUTHORIZED",
            "type": "string"
          },
          "token": {
            "description": "The error response embedded in a JWT token",
            "type": "string"
          }
        },
        "type": "object"
      },
      "TransactionEvent": {
        "type": "object",
        "properties": {
          "amount": {
            "description": "The total value of the transaction event, including tax and shipping. The value is non-negative and is represented in the smallest currency unit, such as cents instead of dollars. If the type is capture, this field represents the amount captured. If the type is refund, this field represents the amount refunded, including the fee that was refunded.",
            "example": 20000,
            "type": "integer"
          },
          "created": {
            "description": "The time when the transaction event was created. The value is formatted in RFC 3339.",
            "example": "2019-01-01T00:00:00Z",
            "type": "string"
          },
          "currency": {
            "description": "The local currency of the transaction with its being a valid subset of the ISO 4217 currency code.",
            "example": "USD",
            "type": "string"
          },
          "fee": {
            "description": "The merchant fee.",
            "example": 500,
            "type": "integer"
          },
          "fee_refunded": {
            "description": "Portion of the refunded amount that is subtracted from the merchant fee.",
            "example": 500,
            "type": "integer"
          },
          "id": {
            "description": "A unique ID representing the transaction’s loan or charge ID.",
            "example": "ABCD-1234",
            "type": "string"
          },
          "reference_id": {
            "description": "An optional, unique identifier that may be associated with each transaction event and reconciled with the system of record used by the merchant.",
            "example": "W1X2Y3Z4",
            "maxLength": 128,
            "minLength": 1,
            "type": "string"
          },
          "type": {
            "description": "The type of event.",
            "enum": [
              "auth",
              "auth_expired",
              "capture",
              "charge_off",
              "confirm",
              "confirmation_expired",
              "partial_void",
              "refund",
              "refund_voided",
              "split_capture",
              "update",
              "void"
            ],
            "example": "capture",
            "type": "string"
          },
          "metadata": {
            "description": "Unstructured metadata containing any additional data that was passed into the transaction event request.",
            "type": "object"
          },
          "token": {
            "description": "A JWT signing the JSON response.",
            "type": "string"
          },
          "settlement_transaction_id": {
            "description": "An optional, unique identifier that may be associated with each transaction in the settlement reports",
            "type": "string"
          }
        }
      },
      "TransactionEventsForTransaction": {
        "type": "object",
        "properties": {
          "transaction_id": {
            "type": "string",
            "description": "A unique ID for the transaction.",
            "example": "ABCD-1234"
          },
          "transaction_events": {
            "type": "array",
            "description": "An array of transaction events associated with the transaction ID",
            "items": {
              "$ref": "#/components/schemas/TransactionEvent"
            }
          }
        }
      },
      "ListTransactionEvents": {
        "type": "object",
        "properties": {
          "transactions": {
            "type": "array",
            "description": "An array of transaction events, grouped by transaction ID",
            "items": {
              "$ref": "#/components/schemas/TransactionEventsForTransaction"
            }
          },
          "prev_page": {
            "type": "string",
            "description": "URL-encoded parameters that include the event ari of the previous (newer) results for cursor-based pagination.",
            "example": "example.com%2Fprev_page"
          },
          "next_page": {
            "type": "string",
            "description": "URL-encoded parameters that include the event ari of the next (older) results for cursor-based pagination.",
            "example": "example.com%2Fnext_page"
          }
        }
      }
    }
  },
  "x-readme": {
    "explorer-enabled": true,
    "proxy-enabled": true
  }
}
```

# Sibling pages

* [List Transactions](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/list_transactions.md)
* [Authorize Transaction](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/authorize_transaction.md)
* [Read Transaction](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/read_transaction.md)
* [Update Transaction](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/update_transaction.md)
* [Capture Transaction](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/capture_transaction.md)
* [Refund Transaction](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/refund_transaction.md)
* [Void Transaction](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/void_transaction.md)
* [List Settlement Events](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/list_settlement_events.md)
* [List Settlement Event Summaries](https://docs.affirm.com/developers/v1.0-Global-Integration/reference/list_settlement_event_summaries.md)